<?php
/**
* Blog Tab Class for handling the CB tab api
* @package Community Builder
* @author JoomlaJoe
*/
class getJoomblogTab extends cbTabHandler 
{	
  function getJoomblogTab() 
  { $this->cbTabHandler(); }
  
  
  function getDisplayTab($tab,$user,$ui) 
  {
    global $database, $mosConfig_lang, $mosConfig_hits, $mosConfig_vote;
    global $mosConfig_absolute_path;
    if(!file_exists('components/com_joomblog/joomblog.php'))
    { return "Joomblog Not installed. Please install Joomblog first."; }
    
    //Language File
    $languange_file= $mosConfig_absolute_path
      ."/administrator/components/com_joomblog/language/$mosConfig_lang.php";
    if (!file_exists($languange_file))
    { 
      $languange_file= $mosConfig_absolute_path
        ."/administrator/components/com_joomblog/language/english.php";
      if (!file_exists($languange_file))
      {
        echo "File ". str_replace("/","/ ", $languange_file)
          ." NOT exist. Have you install Joomblog Component?";
        return;
      }
    }  
    include($languange_file);
    
    if(!file_exists('components/com_joomblog/joomblog.php'))
    { return "Joomblog Not installed. Please install Joomblog first."; } 
   
    $return = "";
    
    $params = $this->params;
	$blog_count    = $params->get('blog_count','10');
	$show_published= $params->get('show_published','1');
	$show_section  = $params->get('show_section','1');
	$show_category = $params->get('show_category','1');
	$name_type     = $params->get('name_type','username');
    
    // --- START Hack by chris for Wannacorp: Add name & username
      $query = "SELECT b.id, b.title, b.created_by, b.created, b.state, b.hits, u.username, u.name "      
	." FROM #__joomblog_blog AS b "
	." LEFT JOIN #__users AS u ON u.id=b.created_by"
	." WHERE state=1 "
	." AND b.created_by ='$user->id' "
	." ORDER BY b.publish_up DESC, b.created DESC, b.id DESC";
    // --- END Hack by Chris for WannaCorp

    $database->setQuery( $query );
    $items = $database->loadObjectList();
    if($database->getErrorNum()) { return $database->getErrorMsg(); }
    
    if (count($items)==0) 
    { return "No Blog found"; }

    // --- START Hack by chris for Wannacorp: Add link to user Blog page
    $item = $items[0];
    $return .= "Show <a href='index.php?option=com_joomblog&joomblog_task=blog_list&joomblog_blogger=".$user->id."&joomblog_numitems=".count($items)."'>".$item->username."'s blog page</a><br>";
    // --- END Hack by Chris for WannaCorp
        
    $joomblog_link="index.php?option=com_joomblog&joomblog_task=blog_view&joomblog_contentid=";
    $return .= "<table cellpadding=\"5\" cellspacing=\"0\" border=\"0\" width=\"95%\">";
    $return .= "<tr class=\"sectiontableheader\">";
    $return .= "<td>#</td>";
    $return .= "<td>"._DATE."</td>";
    $return .= "<td>"._HEADER_TITLE."</td>";
    // REMOVED, I DON'T WANT TO SHOW PUB STATE //'if ($show_published) { $return .= "<td>"._CMN_PUBLISHED."</td>"; }
    // REMOVED, I'M NOT SKILLED ENOUGH TO REVISE SECTION CODING //'if ($show_section)   { $return .= "<td>".$_JBLOG_SECTION."</td>"; }
    // REMOVED, I'M NOT SKILLED ENOUGH TO REVISE CATEGORY CODING //'if ($show_category)  { $return .= "<td>".$_JBLOG_CATEGORY."</td>"; }
    // REMOVED, THIS BLOG LIST SHOWS UP ON THE AUTHOR'S PROFILE TAB //'if ($name_type<>"none") { $return .= "<td>"._HEADER_AUTHOR."</td>"; }
    if($mosConfig_hits) $return .= "<td>"._HEADER_HITS."</td>";
    
    $return .= "</tr>";
    
    $i=2;
    $hits="";
    $j=0;
    foreach($items AS $item) 
    {
      $i= ($i==1 ? 2 : 1);
      $j += 1;
    
      if ($name_type=="username") { $jblog_show_name = "<td valign=top>$item->username</td>"; }
      elseif ($name_type=="realname") { $jblog_show_name = "<td valign=top>$item->name</td>"; }
      else { $jblog_show_name = ""; } 
      
      $jblog_pub ="-";
      if ($show_published)
      {
        if ($item->state)
        { $jblog_pub = "<td valign=top align=center><img src='images/tick.png' /></td>"; }
        else 
        { $jblog_pub = "<td valign=top align=center><img src='images/publish_x.png' /></td>"; }
      }
      
      $jblog_sec  = ($show_section ? "<td valign=top>$item->sec_title</td>" : "");
      $jblog_cat  = ($show_category ? "<td valign=top>$item->cat_title</td>" : "");
      $jblog_hits = ($mosConfig_hits ? "<td valign=top>$item->hits</td>" : "");
      
      
      $return .= 
        "<tr class='sectiontableentry$i'>"
       ."<td valign=top>$j.</td>"
       ."<td valign=top>".mosFormatDate($item->created)."</td>"
       ."<td valign=top><a href=\"".$joomblog_link.$item->id."\">".$item->title."</a></td>"
       // REMOVED, I DON'T WANT TO SHOW PUB STATE // .$jblog_pub
       // REMOVED, I'M NOT SKILLED ENOUGH TO REVISE SECTION CODING // .$jblog_sec
       // REMOVED, I'M NOT SKILLED ENOUGH TO REVISE CATEGORY CODING // .$jblog_cat
       // REMOVED, THIS BLOG LIST SHOWS UP ON THE AUTHOR'S PROFILE TAB // .$jblog_show_name
       .$jblog_hits
       ."</tr>\n"; 
    }
    $return .= "</table>";
    return $return;  
  }
   
  function getEditTab($tab,$user,$ui) 
  { }

  function saveEditTab($tab, $user, $ui, $postdata) 
  { }
} // end class getJoomblogTab
?>
